petsc-3.12.4 2020-02-04
Report Typos and Errors

# PetscConvEstGetConvRate

Returns an estimate of the convergence rate for the discretization

### Synopsis

    #include "petscconvest.h"
    PetscErrorCode PetscConvEstGetConvRate(PetscConvEst ce, PetscReal alpha[])

Not collective

### Input Parameter

ce -The PetscConvEst object

### Output Parameter

alpha -The convergence rate for each field

Note: The convergence rate alpha is defined by

    || u_h - u_exact || < C h^alpha

where u_h is the discrete solution, and h is a measure of the discretization size.

We solve a series of problems on refined meshes, calculate an error based upon the exact solution in the DS, and then fit the result to our model above using linear regression.

### Options database keys

-snes_convergence_estimate : Execute convergence estimation and print out the rate -

### See Also

PetscConvEstSetSolver(), PetscConvEstCreate(), PetscConvEstGetConvRate()

### Level

intermediate

### Location

src/snes/utils/convest.c
Index of all SNES routines
Table of Contents for all manual pages
Index of all manual pages